services:
    d2_rowel_service_definition_manager:
        class:          D2\RowelBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_rowel_partner_file_manager:
        class:          D2\RowelBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_rowel_waybill_manager:
        class:          D2\RowelBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_rowel_service_definition_manager, @d2_calc_manager]

    d2_rowel_bundle.twig.rowel_extension:
        class:          D2\RowelBundle\Twig\RowelTwigExtension
        arguments:      [@doctrine, @service_container, @d2_rowel_partner_file_manager, @d2_rowel_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_rowel_bundle.waybill_with_selected.extension:
        class:          D2\RowelBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: rowel_list }
            - { name: d2.with_selected, alias: rowel_waybill }
